import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getListTradeExecV2(params) {
  return request({
    url: `/v2/order/trade-e/exec/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

export function exportListTradeExecV2(data, name) {
  return postBlob({
    url: '/v2/order/trade-e/exec/list/export',
    data,
    name
  })
}

export function getListRetailExecV2(params) {
  return request({
    url: `/v2/order/retail/exec/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

export function exportListRetailExecV2(data, name) {
  return postBlob({
    url: '/v2/order/retail/exec/list/export',
    data,
    name
  })
}

export function getListOtherExecV2(params) {
  return request({
    url: `/v2/order/other/exec/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

export function exportListOtherExecV2(data, name) {
  return postBlob({
    url: '/v2/order/other/exec/list/export',
    data,
    name
  })
}


export function getListOrderExecV2(params) {
  return request({
    url: `/v2/order/exec/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

export function exportListOrderExecV2(data, name) {
  return postBlob({
    url: '/v2/order/exec/list/export',
    data,
    name
  })
}